# StringTableEntry

Struct in [Yarn.Unity](/2.4/api/csharp/yarn.unity.md)

Inherits from `System.ValueType`

## Summary

```csharp
public struct StringTableEntry
```

## Constructors

| Name                                                                                                                              | Description                                                                                                                                                       |
| --------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [StringTableEntry(StringTableEntry)](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry..ctor.md) | Initializes a new instance of the [StringTableEntry](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry.md) struct, copying values from an existing instance. |

## Fields

| Name                                                                                                           | Description                                                                                                                                                                                          |
| -------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Comment](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.comment.md)       | A comment used to describe this line to translators.                                                                                                                                                 |
| [File](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.file.md)             | The name of the Yarn script in which this line was originally found.                                                                                                                                 |
| [ID](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.id.md)                 | The line ID for this line. This value will be the same across all localizations.                                                                                                                     |
| [Language](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.language.md)     | The language that the line is written in.                                                                                                                                                            |
| [LineNumber](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.linenumber.md) | The line number in the file indicated by [File](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.file.md) at which the original version of this line can be found. |
| [Lock](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.lock.md)             | A string used as part of a mechanism for checking if translated versions of this string are out of date.                                                                                             |
| [Node](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.node.md)             | The name of the node in which this line was originally found.                                                                                                                                        |
| [Text](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.text.md)             | The text of this line, in the language specified by [Language](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.language.md) .                                     |

## Methods

| Name                                                                                                                       | Description                                                                                                                                                              |
| -------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [CreateCSV(IEnumerable)](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.createcsv.md)  | Creates a CSV-formatted string containing data from `entries` .                                                                                                          |
| [Equals(object)](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.equals.md)             |                                                                                                                                                                          |
| [GetHashCode()](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.gethashcode.md)         |                                                                                                                                                                          |
| [ParseFromCSV(string)](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.parsefromcsv.md) | Reads comma-separated value data from `sourceText` , and produces a collection of [StringTableEntry](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry.md) structs. |
| [ToString()](/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry/yarn.unity.stringtableentry.tostring.md)               |                                                                                                                                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.4/api/csharp/yarn.unity/yarn.unity.stringtableentry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
